/*********************************************************************************/
/********** THIS FILE IS GENERATED BY TOUCHGFX DESIGNER, DO NOT MODIFY ***********/
/*********************************************************************************/
#include <gui_generated/screen1_screen/Screen1ViewBase.hpp>
#include <touchgfx/Color.hpp>
#include "BitmapDatabase.hpp"
#include <texts/TextKeysAndLanguages.hpp>

Screen1ViewBase::Screen1ViewBase() :
    flexButtonCallback(this, &Screen1ViewBase::flexButtonCallbackHandler)
{

    __background.setPosition(0, 0, 240, 320);
    __background.setColor(touchgfx::Color::getColorFromRGB(0, 0, 0));

    scalableImage1.setBitmap(touchgfx::Bitmap(BITMAP_DARK_BACKGROUNDS_MAIN_BG_PORTRAIT_240X320PX_ID));
    scalableImage1.setPosition(0, 0, 240, 320);
    scalableImage1.setScalingAlgorithm(touchgfx::ScalableImage::NEAREST_NEIGHBOR);

    temp_ok.setBitmap(touchgfx::Bitmap(BITMAP_PNGEGG_ID));
    temp_ok.setPosition(202, 115, 29, 26);
    temp_ok.setScalingAlgorithm(touchgfx::ScalableImage::NEAREST_NEIGHBOR);

    temp_no_ok.setBitmap(touchgfx::Bitmap(BITMAP_RED_ID));
    temp_no_ok.setPosition(202, 114, 26, 26);
    temp_no_ok.setScalingAlgorithm(touchgfx::ScalableImage::NEAREST_NEIGHBOR);

    scalableImage2.setBitmap(touchgfx::Bitmap(BITMAP_LOGO_ID));
    scalableImage2.setPosition(0, 305, 60, 15);
    scalableImage2.setScalingAlgorithm(touchgfx::ScalableImage::NEAREST_NEIGHBOR);

    textArea1.setXY(38, 0);
    textArea1.setColor(touchgfx::Color::getColorFromRGB(0, 0, 0));
    textArea1.setLinespacing(0);
    textArea1.setTypedText(touchgfx::TypedText(T_SINGLEUSEID1));

    flexButton1.setBoxWithBorderPosition(0, 0, 71, 30);
    flexButton1.setBorderSize(5);
    flexButton1.setBoxWithBorderColors(touchgfx::Color::getColorFromRGB(0, 102, 153), touchgfx::Color::getColorFromRGB(0, 153, 204), touchgfx::Color::getColorFromRGB(0, 51, 102), touchgfx::Color::getColorFromRGB(51, 102, 153));
    flexButton1.setPosition(88, 206, 71, 30);
    flexButton1.setAction(flexButtonCallback);

    textArea2.setXY(63, 236);
    textArea2.setColor(touchgfx::Color::getColorFromRGB(0, 0, 0));
    textArea2.setLinespacing(0);
    textArea2.setTypedText(touchgfx::TypedText(T_SINGLEUSEID2));

    heater_status.setXY(12, 63);
    heater_status.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
    heater_status.setLinespacing(0);
    Unicode::snprintf(heater_statusBuffer, HEATER_STATUS_SIZE, "%s", touchgfx::TypedText(T_SINGLEUSEID4).getText());
    heater_status.setWildcard(heater_statusBuffer);
    heater_status.resizeToCurrentText();
    heater_status.setTypedText(touchgfx::TypedText(T_SINGLEUSEID3));

    door_status.setXY(146, 63);
    door_status.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
    door_status.setLinespacing(0);
    Unicode::snprintf(door_statusBuffer, DOOR_STATUS_SIZE, "%s", touchgfx::TypedText(T_SINGLEUSEID6).getText());
    door_status.setWildcard(door_statusBuffer);
    door_status.resizeToCurrentText();
    door_status.setTypedText(touchgfx::TypedText(T_SINGLEUSEID5));

    temp_stauts.setXY(12, 115);
    temp_stauts.setColor(touchgfx::Color::getColorFromRGB(255, 247, 247));
    temp_stauts.setLinespacing(0);
    Unicode::snprintf(temp_stautsBuffer, TEMP_STAUTS_SIZE, "%s", touchgfx::TypedText(T_SINGLEUSEID8).getText());
    temp_stauts.setWildcard(temp_stautsBuffer);
    temp_stauts.resizeToCurrentText();
    temp_stauts.setTypedText(touchgfx::TypedText(T_SINGLEUSEID7));

    textArea3.setXY(159, 115);
    textArea3.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
    textArea3.setLinespacing(0);
    textArea3.setTypedText(touchgfx::TypedText(T_SINGLEUSEID9));

    fan_status.setXY(18, 160);
    fan_status.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
    fan_status.setLinespacing(0);
    Unicode::snprintf(fan_statusBuffer, FAN_STATUS_SIZE, "%s", touchgfx::TypedText(T_SINGLEUSEID11).getText());
    fan_status.setWildcard(fan_statusBuffer);
    fan_status.resizeToCurrentText();
    fan_status.setTypedText(touchgfx::TypedText(T_SINGLEUSEID10));

    textArea5.setXY(107, 160);
    textArea5.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
    textArea5.setLinespacing(0);
    textArea5.setTypedText(touchgfx::TypedText(T_SINGLEUSEID12));

    add(__background);
    add(scalableImage1);
    add(temp_ok);
    add(temp_no_ok);
    add(scalableImage2);
    add(textArea1);
    add(flexButton1);
    add(textArea2);
    add(heater_status);
    add(door_status);
    add(temp_stauts);
    add(textArea3);
    add(fan_status);
    add(textArea5);
}

void Screen1ViewBase::setupScreen()
{

}

void Screen1ViewBase::flexButtonCallbackHandler(const touchgfx::AbstractButtonContainer& src)
{
    if (&src == &flexButton1)
    {
        //Interaction1
        //When flexButton1 clicked call virtual function
        //Call open_door
        open_door();
    }
}
